# List the existing order-vehicle restriction sets

Retrieve order-vehicle restriction sets using cursor-based paging (see the Cursor-based pagination documentation on the PTV Developer Portal for more details).

Endpoint: GET /settings/order-vehicle-restriction-sets
Version: 1.27.0
Security: clientCredentials

## Security:

  - `clientCredentials` (unknown)
    oauth2

## Query parameters:

  - `cursor` (string)
    The cursor of the page to retrieve. No cursor is needed to retrieve the first page.

  - `limit` (integer)
    The maximum amount of order-vehicle restriction sets that should be returned in the response

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `data` (array, required)
    Subset of order-vehicle restriction sets matching the provided query, limited to the `limit` specified in the request.

  - `data.id` (string)
    Example: cb1fb12c-0abc-413c-a69d-63c62566685f

  - `data.name` (string)
    The name of the order-vehicle restriction set
    Example: Heavy goods require large trucks

  - `data.etag` (string)
    Example: W/"1"

  - `cursors` (object, required)
    Cursor that only supports `next` cursor navigation.

  - `cursors.next` (string)
    The cursor for the next page. Not present when fetching data for the last page.
    Example: bmV4dF9fcGFnZQ

## Response 401:

  - `401` (unknown)
    Authentication required

